import 'package:krow/features/profile/wages_forms/domain/entities/edd_form_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/i_nine_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/offer_letter_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/w_four_entity.dart';

abstract interface class WageFormVisitor<T> {
  const WageFormVisitor();

  T visitEddForm(EddFormEntity entity);

  T visitINineForm(INineEntity entity);

  T visitOfferLetterFrom(OfferLetterEntity entity);

  T visitWFourForm(WFourEntity entity);
}